# HG changeset patch
# Node ID 700fe14b0ece
# Parent  b5b1bffc48fb
diff --git a/libpurple/purpleaccountoption.h b/libpurple/purpleaccountoption.h
--- a/libpurple/purpleaccountoption.h
+++ b/libpurple/purpleaccountoption.h
@@ -31,13 +31,6 @@
 
 #include <libpurple/prefs.h>
 
-/**
- * SECTION:purpleaccountoption
- * @section_id: libpurple-account-option
- * @short_description: <filename>purpleaccountoption.h</filename>
- * @title: Account Options API
- */
-
 #define PURPLE_TYPE_ACCOUNT_OPTION (purple_account_option_get_type())
 
 /**
diff --git a/libpurple/purpleaccountpresence.h b/libpurple/purpleaccountpresence.h
--- a/libpurple/purpleaccountpresence.h
+++ b/libpurple/purpleaccountpresence.h
@@ -21,15 +21,6 @@
 #ifndef PURPLE_ACCOUNT_PRESENCE_H
 #define PURPLE_ACCOUNT_PRESENCE_H
 
-/**
- * SECTION:purpleaccountpresence
- * @section_id: libpurple-purpleaccountpresence
- * @title: Account Presence API
- *
- * A #PurpleAccountPresence represent the #PurplePresence for a specific
- * #PurpleAccount.
- */
-
 #include "account.h"
 #include "purplepresence.h"
 
@@ -38,7 +29,8 @@
 /**
  * PurpleAccountPresence:
  *
- * A presence for an account
+ * A #PurpleAccountPresence represent the #PurplePresence for a specific
+ * #PurpleAccount.
  */
 
 /**
diff --git a/libpurple/purpleaccountusersplit.h b/libpurple/purpleaccountusersplit.h
--- a/libpurple/purpleaccountusersplit.h
+++ b/libpurple/purpleaccountusersplit.h
@@ -26,13 +26,6 @@
 #ifndef PURPLE_ACCOUNT_USER_SPLIT_H
 #define PURPLE_ACCOUNT_USER_SPLIT_H
 
-/**
- * SECTION:purpleaccountusersplit
- * @section_id: libpurple-account-user-split
- * @short_description: Username splitting
- * @title: Account Username Splitting API
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
diff --git a/libpurple/purpleattachment.h b/libpurple/purpleattachment.h
--- a/libpurple/purpleattachment.h
+++ b/libpurple/purpleattachment.h
@@ -26,15 +26,6 @@
 #ifndef PURPLE_ATTACHMENT_H
 #define PURPLE_ATTACHMENT_H
 
-/**
- * SECTION:purpleattachment
- * @section_id: libpurple-attachment
- * @short_description: message attachment
- * @title: Message Attachments
- *
- * #PurpleAttachment represents a file attached to a #PurpleMessage.
- */
-
 #include <glib-object.h>
 
 G_BEGIN_DECLS
@@ -50,6 +41,12 @@
 #define PURPLE_TYPE_ATTACHMENT purple_attachment_get_type()
 
 /**
+ * PurpleAttachment:
+ *
+ * #PurpleAttachment represents a file attached to a #PurpleMessage.
+ */
+
+/**
  * purple_attachment_get_type:
  *
  * Returns: the #GType for an attachment.
diff --git a/libpurple/purplebuddypresence.h b/libpurple/purplebuddypresence.h
--- a/libpurple/purplebuddypresence.h
+++ b/libpurple/purplebuddypresence.h
@@ -21,15 +21,6 @@
 #ifndef PURPLE_BUDDY_PRESENCE_H
 #define PURPLE_BUDDY_PRESENCE_H
 
-/**
- * SECTION:purplebuddypresence
- * @section_id: libpurple-purplebuddypresence
- * @title: Buddy Presence API
- *
- * A #PurpleBuddyPresence represent the #PurplePresence for a specific
- * #PurpleBuddy.
- */
-
 #include "buddylist.h"
 #include "purplepresence.h"
 
@@ -38,7 +29,8 @@
 /**
  * PurpleBuddyPresence:
  *
- * A presence for a buddy
+ * A #PurpleBuddyPresence represent the #PurplePresence for a specific
+ * #PurpleBuddy.
  */
 
 /**
diff --git a/libpurple/purplechatconversation.h b/libpurple/purplechatconversation.h
--- a/libpurple/purplechatconversation.h
+++ b/libpurple/purplechatconversation.h
@@ -27,13 +27,6 @@
 #ifndef PURPLE_CHAT_CONVERSATION_H
 #define PURPLE_CHAT_CONVERSATION_H
 
-/**
- * SECTION:purplechatconversation
- * @section_id: libpurple-purplechatconversation
- * @short_description: <filename>purplechatconversation.h</filename>
- * @title: Chat Conversation Objects
- */
-
 #define PURPLE_TYPE_CHAT_CONVERSATION            (purple_chat_conversation_get_type())
 #define PURPLE_CHAT_CONVERSATION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), PURPLE_TYPE_CHAT_CONVERSATION, PurpleChatConversation))
 #define PURPLE_CHAT_CONVERSATION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), PURPLE_TYPE_CHAT_CONVERSATION, PurpleChatConversationClass))
diff --git a/libpurple/purplechatuser.h b/libpurple/purplechatuser.h
--- a/libpurple/purplechatuser.h
+++ b/libpurple/purplechatuser.h
@@ -31,13 +31,6 @@
 #include <glib-object.h>
 
 /**
- * SECTION:purplechatuser
- * @section_id: libpurple-purplechatuser
- * @short_description: <filename>purplechatuser.h</filename>
- * @title: Chat User Objects
- */
-
-/**
  * PurpleChatUser:
  *
  * Structure representing a chat user instance.
diff --git a/libpurple/purpleconversation.h b/libpurple/purpleconversation.h
--- a/libpurple/purpleconversation.h
+++ b/libpurple/purpleconversation.h
@@ -26,18 +26,6 @@
 #ifndef PURPLE_CONVERSATION_H
 #define PURPLE_CONVERSATION_H
 
-/**
- * SECTION:purpleconversation
- * @section_id: libpurple-purpleconversation
- * @short_description: Conversation base class
- * @title: Conversation Base Class
- *
- * This is the base class for the conversation abstraction on Libpurple.
- *
- * The present API manages the common functionality for both kinds of conversations
- * @PurpleIMConversation and @PurpleChatConversation.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
diff --git a/libpurple/purpleconversationmanager.h b/libpurple/purpleconversationmanager.h
--- a/libpurple/purpleconversationmanager.h
+++ b/libpurple/purpleconversationmanager.h
@@ -27,17 +27,6 @@
 
 #include <purpleconversation.h>
 
-/**
- * SECTION:purpleconversationmanager
- * @section_id: libpurple-purpleconversationmanager
- * @title: Conversation Management
- * @short_description: Management of conversations.
- *
- * #PurpleConversationManager keeps track of all #PurpleConversation's inside of
- * libpurple and allows searching of them.
- */
-
-
 G_BEGIN_DECLS
 
 /**
@@ -62,7 +51,8 @@
 /**
  * PurpleConversationManager:
  *
- * An opaque structure that represents the conversation manager.
+ * #PurpleConversationManager keeps track of all #PurpleConversation's inside
+ * of libpurple and allows searching of them.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purpleconversationuiops.h b/libpurple/purpleconversationuiops.h
--- a/libpurple/purpleconversationuiops.h
+++ b/libpurple/purpleconversationuiops.h
@@ -30,16 +30,6 @@
 #include <glib-object.h>
 
 /**
- * SECTION:purpleconversationuiops
- * @section_id: libpurple-purpleconversationuiops
- * @short_description: Ui Operations for Conversations
- * @title: Ui Operations for Conversations
- *
- * libpurple needs to tell the user interface when certain things happen in a
- * conversation and it uses this structure to do so.
- */
-
-/**
  * PURPLE_TYPE_CONVERSATION_UI_OPS:
  *
  * The standard _get_type macro for #PurpleConversationUiOps.
@@ -94,7 +84,8 @@
  *                accepts. If this field is %NULL, libpurple will fall back to
  *                using purple_request_action().
  *
- * Conversation operations and events.
+ * libpurple needs to tell the user interface when certain things happen in a
+ * conversation and it uses this structure to do so.
  *
  * Any UI representing a conversation must assign a filled-out
  * #PurpleConversationUiOps structure to the #PurpleConversation.
diff --git a/libpurple/purplecredentialmanager.h b/libpurple/purplecredentialmanager.h
--- a/libpurple/purplecredentialmanager.h
+++ b/libpurple/purplecredentialmanager.h
@@ -32,20 +32,6 @@
 G_BEGIN_DECLS
 
 /**
- * SECTION:purplecredentialmanager
- * @section_id: libpurple-purplecredentialmanager
- * @title: Purple Credential Manager
- * @short_description: Management of credential providers.
- *
- * Purple Credential Manager is the main API access to different credential
- * providers. Providers register themselves with the manager and then the user
- * can choose which provider to use.
- *
- * Once a provider is selected, all credential access will be directed to that
- * provider.
- */
-
-/**
  * PURPLE_CREDENTIAL_MANAGER_DOMAIN:
  *
  * A #GError domain for errors from #PurpleCredentialManager.
@@ -68,7 +54,12 @@
 /**
  * PurpleCredentialManager:
  *
- * An opaque data structure that manages credentials.
+ * Purple Credential Manager is the main API access to different credential
+ * providers. Providers register themselves with the manager and then the user
+ * can choose which provider to use.
+ *
+ * Once a provider is selected, all credential access will be directed to that
+ * provider.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purplecredentialprovider.h b/libpurple/purplecredentialprovider.h
--- a/libpurple/purplecredentialprovider.h
+++ b/libpurple/purplecredentialprovider.h
@@ -29,18 +29,6 @@
 #include "account.h"
 #include "request.h"
 
-/**
- * SECTION:purplecredentialprovider
- * @section_id: libpurple-purplecredentialprovider
- * @title: Credential Provider Object
- * @short_description: Abstraction of credential providers.
- *
- * #PurpleCredentialProvider is an abstract base class for implementing support
- * for a specific password or keyring manager. At the time of this writing,
- * libpurple ships with plugins for libsecret, KWallet, and the Windows
- * Credentials store by subclassing #PurpleCredentialProvider.
- */
-
 G_BEGIN_DECLS
 
 /**
@@ -55,9 +43,10 @@
 /**
  * PurpleCredentialProvider:
  *
- * #PurpleCredentialProvider is a base class that should be sub classed by
- * credential providers.  It defines the behavior of all credential providers
- * and implements some shared properties.
+ * #PurpleCredentialProvider is an abstract base class for implementing support
+ * for a specific password or keyring manager. At the time of this writing,
+ * libpurple ships with plugins for libsecret, KWallet, and the Windows
+ * Credentials store by subclassing #PurpleCredentialProvider.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purpledebugui.h b/libpurple/purpledebugui.h
--- a/libpurple/purpledebugui.h
+++ b/libpurple/purpledebugui.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_DEBUG_UI_H
 #define PURPLE_DEBUG_UI_H
 
-/**
- * SECTION:purpledebugui
- * @section_id: libpurple-purpledebugui
- * @title: Debug User Interface API
- *
- * #PurpleDebugUiInterface defines the behavior that libpurple uses to
- * interface the debug API with the user interface.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
@@ -47,6 +38,15 @@
  * The standard _get_type macro for #PurpleDebugUi.
  */
 #define PURPLE_TYPE_DEBUG_UI (purple_debug_ui_get_type())
+
+/**
+ * PurpleDebugUi:
+ *
+ * #PurpleDebugUiInterface defines the behavior that libpurple uses to
+ * interface the debug API with the user interface.
+ *
+ * Since: 3.0.0
+ */
 G_DECLARE_INTERFACE(PurpleDebugUi, purple_debug_ui, PURPLE, DEBUG_UI, GObject)
 
 #include "debug.h"
diff --git a/libpurple/purplehistoryadapter.h b/libpurple/purplehistoryadapter.h
--- a/libpurple/purplehistoryadapter.h
+++ b/libpurple/purplehistoryadapter.h
@@ -29,12 +29,6 @@
 #include <purplemessage.h>
 #include <purpleconversation.h>
 
-/**
- * SECTION:purplehistoryadapter
- * @section_id: libpurple-purplehistoryadapter
- * @title: History Adapter Object
- */
-
 G_BEGIN_DECLS
 
 /**
diff --git a/libpurple/purplehistorymanager.h b/libpurple/purplehistorymanager.h
--- a/libpurple/purplehistorymanager.h
+++ b/libpurple/purplehistorymanager.h
@@ -31,15 +31,6 @@
 G_BEGIN_DECLS
 
 /**
- * SECTION:purplehistorymanager
- * @section_id: libpurple-purplehistorymanager
- * @title: Purple History Manager
- *
- * #PurpleHistoryManager keeps track of all adapters and emits signals when
- * adapters are registered and unregistered.
- */
-
-/**
  * PURPLE_HISTORY_MANAGER_DOMAIN:
  *
  * A #GError domain for errors from #PurpleHistoryManager.
@@ -60,7 +51,8 @@
 /**
  * PurpleHistoryManager:
  *
- * An opaque data structure that represents a history manager.
+ * #PurpleHistoryManager keeps track of all adapters and emits signals when
+ * adapters are registered and unregistered.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purpleimconversation.h b/libpurple/purpleimconversation.h
--- a/libpurple/purpleimconversation.h
+++ b/libpurple/purpleimconversation.h
@@ -30,12 +30,6 @@
 #include <glib-object.h>
 
 /**
- * SECTION:purpleimconversation
- * @section_id: libpurple-purpleimconversation
- * @title: IM Conversation Objects
- */
-
-/**
  * PurpleIMTypingState:
  * @PURPLE_IM_NOT_TYPING: Not typing.
  * @PURPLE_IM_TYPING:     Currently typing.
diff --git a/libpurple/purplekeyvaluepair.h b/libpurple/purplekeyvaluepair.h
--- a/libpurple/purplekeyvaluepair.h
+++ b/libpurple/purplekeyvaluepair.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_KEY_VALUE_PAIR_H
 #define PURPLE_KEY_VALUE_PAIR_H
 
-/**
- * SECTION:purplekeyvaluepair
- * @section_id: libpurple-keyvaluepair
- * @short_description: <filename>purplekeyvaluepair.h</filename>
- * @title: Key Value Pairs
- *
- * A simple key value pair data structure.
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
diff --git a/libpurple/purplemarkup.h b/libpurple/purplemarkup.h
--- a/libpurple/purplemarkup.h
+++ b/libpurple/purplemarkup.h
@@ -32,15 +32,6 @@
 G_BEGIN_DECLS
 
 /**
- * SECTION:purplemarkup
- * @section_id: libpurple-purplemarkup
- * @short_description: Text Markup API
- * @title: Text Markup API
- *
- * Helper functions for handling markup.
- */
-
-/**
  * purple_markup_escape_text:
  * @text: The text to escape
  * @length: The length of the text, or -1 if #NULL terminated
diff --git a/libpurple/purplemessage.h b/libpurple/purplemessage.h
--- a/libpurple/purplemessage.h
+++ b/libpurple/purplemessage.h
@@ -27,15 +27,6 @@
 #ifndef PURPLE_MESSAGE_H
 #define PURPLE_MESSAGE_H
 
-/**
- * SECTION:purplemessage
- * @section_id: libpurple-purplemessage
- * @short_description: Message Object
- * @title: Message Object
- *
- * #PurpleMessage represents any message passed between users in libpurple.
- */
-
 #include <glib-object.h>
 
 #include <libpurple/purpleattachment.h>
@@ -117,6 +108,12 @@
 } PurpleMessageContentType;
 
 /**
+ * PurpleMessage:
+ *
+ * #PurpleMessage represents any message passed between users in libpurple.
+ */
+
+/**
  * purple_message_get_type:
  *
  * Returns: the #GType for a message.
diff --git a/libpurple/purplenoopcredentialprovider.h b/libpurple/purplenoopcredentialprovider.h
--- a/libpurple/purplenoopcredentialprovider.h
+++ b/libpurple/purplenoopcredentialprovider.h
@@ -28,16 +28,6 @@
 
 #include <purplecredentialprovider.h>
 
-/**
- * SECTION:purplenoopcredentialprovider
- * @section_id: libpurple-purplenoopcredentialprovider
- * @title: No Operation Credential Provider Object
- * @short_description: A #PurpleCredentialProvider that does nothing.
- *
- * This is the "None" credential provider that always returns failures so that
- * the user is forced to enter a password.
- */
-
 G_BEGIN_DECLS
 
 /**
